/// <reference types="yargs" />
import { Options } from 'yargs';
import { Config } from './models/config.model';
import { Option } from './models/option.model';
export interface CommandList {
    [key: string]: CommandConfig;
}
export interface CommandConfig {
    command: string;
    description: string;
    action(config: Config, option: Option): void;
    options: {
        [key: string]: Options;
    };
}
export declare const COMMAND_LIST: CommandList;
