"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ejs = require("ejs");
var EjsPlugin = /** @class */ (function () {
    function EjsPlugin(config) {
        this.config = config;
    }
    EjsPlugin.prototype.apply = function (compiler) {
        compiler.plugin('compilation', function (compilation) {
            compilation.plugin('html-webpack-plugin-before-html-processing', function (htmlPluginData, callback) {
                htmlPluginData.html = ejs.render(htmlPluginData.html, htmlPluginData.plugin.options.params || {});
                callback(null, htmlPluginData);
            });
        });
    };
    return EjsPlugin;
}());
exports.EjsPlugin = EjsPlugin;
